package com.hisschemoller 
{
	import assets.EditorContainer;
	
	import com.hisschemoller.view.components.Alert;
	import com.hisschemoller.view.components.Output;
	
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageQuality;
	import flash.display.StageScaleMode;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Feb 20, 2010
	 */
	public class App extends Sprite 
	{
		public var editorContainer : EditorContainer;
		public var output : Output;
		public var alert : Alert;
		
		public function App()
		{ 
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			stage.quality = StageQuality.BEST;
			stage.showDefaultContextMenu = false;
			
			initUI();
			initPureMVC();
		}

		/**
		 * 
		 */
		private function initUI() : void
		{
			editorContainer = new EditorContainer();
			addChild(editorContainer);
			
			output = new Output(this);
			alert = new Alert(this);
		}

		/**
		 * 
		 */
		private function initPureMVC() : void
		{
			AppFacade.getInstance().startup(this);
		}
	}
}
