package com.hisschemoller.utils.midi 
{
	/**
	 * @author Wouter Hisschemöller
	 * (c) May 13, 2009
	 */
	public class MidiNoteOffVO extends MidiEventVO
	{
		public var velocity : uint = 0;
		public var pitch : uint;

		public function MidiNoteOffVO()
		{
			type = MidiEventType.NOTE_OFF;
		}

		override public function parseXML(o : XML) : Boolean
		{
			var success : Boolean = super.parseXML(o);
			
			channel = o.*[1].@Channel;
			velocity = o.*[1].@Velocity;
			pitch = o.*[1].@Note;
			
			return success;
		}
	}
}
